Skip to content

# Installation

## Using pip

    pip install xsdata[cli,lxml,soap]

Hint

- Install the cli requirements for the code generator
- Install the soap requirements for the builtin wsdl client
- Install lxml for enhanced performance and advanced features

## From repository

    pip install xsdata[cli,lxml] @ git+https://github.com/tefra/xsdata

## Using conda

    conda install -c conda-forge xsdata

## Verify installation

Verify installation using the cli entry point.

    $ xsdata --help
    Usage: xsdata [OPTIONS] COMMAND [ARGS]...

      Xsdata command line interface.

    Options:
      --version  Show the version and exit.
      --help     Show this message and exit.

    Commands:
      download     Download a schema or a definition locally with all its...
      generate     Generate code from xsd, dtd, wsdl, xml and json files.
      init-config  Create or update a configuration file.

## Requirements

xsData relies on these awesome libraries and supports `python >= 3.10`

- lxml - XML advanced features
- requests - Webservice Default Transport
- click - CLI entry point
- toposort - Resolve class ordering
- jinja2 - Code generation
- ruff - Code formatting